Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

libplplot17-5.15.0-15.5 RPM for ppc64

From OpenSuSE Ports Tumbleweed for ppc64

Name: libplplot17 Distribution: openSUSE Tumbleweed
Version: 5.15.0 Vendor: openSUSE
Release: 15.5 Build date: Thu Jun 16 03:01:39 2022
Group: System/Libraries Build host: obs-power9-14
Size: 597003 Source RPM: plplot-5.15.0-15.5.src.rpm
Packager: http://bugs.opensuse.org
Url: http://plplot.sourceforge.net/
Summary: PLplot functions for scientific plotting with C
PLplot is a library of functions that are useful for making scientific
plots.

This package provides the shared lib for PLplot's C binding.

Provides

Requires

License

LGPL-2.1-or-later

Changelog

* Sat Feb 26 2022 Max Lin <mlin@suse.com>
  - BuildRequires python3-sip4 for Leap 15.4
* Sun Jan 30 2022 Atri Bhattacharya <badshah400@gmail.com>
  - Enforce CMAKE_INSTALL_LIBDIR=%{_libdir} to ensure pkgconfig
    file substitutions for libdir are correct; this became an issue
    after we switched to using the cmake macro for configuring
    (boo#1195074).
* Tue Jul 06 2021 Steve Kowalik <steven.kowalik@suse.com>
  - Change shebangs for Python examples to be Python 3.
  - Add patch support-python3-pythondemos.patch so pythondemos.py will
    run under Python 3.
* Fri Jul 02 2021 Atri Bhattacharya <badshah400@gmail.com>
  - Enable building octave bindings for openSUSE >= 1550 (TW) where
    swig has been patched to support octave 6+.
* Tue Jun 08 2021 Atri Bhattacharya <badshah400@gmail.com>
  - Enforce std=c++14 to avoid build failures with GCC 11 that
    defaults to c++17.
* Sun Apr 04 2021 Stefan BrĂ¼ns <stefan.bruens@rwth-aachen.de>
  - Reenable qhull support, link against reentrant libqhull_r:
    0001-Use-reentrant-libqhull_r-instead-of-deprecated-libqh.patch
  - Some minor specfile cleanups
* Sat Feb 13 2021 Atri Bhattacharya <badshah400@gmail.com>
  - Add plplot-drop-FindLua-cmake-module.patch to drop in-house
    FindLua.cmake module, which is severely dated, to use cmake's
    own module and fix building for lua >= 5.4; patch taken from
    upstream.
* Sat Jan 09 2021 Atri Bhattacharya <badshah400@gmail.com>
  - Disable octave bindings until compilation against octave 6 is
    fixed (fix should happen mostly in swig, see gh#swig/swig#1893).
* Tue Dec 22 2020 Dominique Leuenberger <dimstar@opensuse.org>
  - Fix dependency of -devel package when built without qhull
    support: libcsironn0 does not exist in this case.
* Sat Nov 28 2020 Atri Bhattacharya <badshah400@gmail.com>
  - Disable csironn library since it does not build against recent
    qhull (libqhull_r).
  - Disable ada bindings: does not build with fPIC.
  - BuildRequires: python3-sip4-devel for openSUSE >= 1550 to enable
    pyqt5 bindings.
  - Pass `-DCMAKE_SKIP_RPATH:BOOL=OFF
    - DCMAKE_SKIP_INSTALL_RPATH:BOOL=ON` to cmake to fix build issues
    caused by Leap 15.2's incorrect cmake macros (doesn't hurt for
    other distros anyway).
* Tue Jul 21 2020 Atri Bhattacharya <badshah400@gmail.com>
  - Disable octave bindings for openSUSE < 1550 where they fail to
    build.
* Mon Jul 20 2020 Michel Normand <normand@linux.vnet.ibm.com>
  - Add _constraints for PowerPC avoid "no space left on device" build error
* Tue Jul 14 2020 Atri Bhattacharya <badshah400@gmail.com>
  - Add plplot-include-QPainterPath.patch: Include QPainterPath
    header when building Qt modules, needed for Qt >= 5.15.0; patch
    from upstream.
  - Re-enable octave bindings (issue with swig and octave seems to
    be fixed now).
  - Reorganise the distribution of cmake files so that each cmake
    file belongs in the right package.
* Mon Feb 24 2020 Atri Bhattacharya <badshah400@gmail.com>
  - Re-enable csironn bindings for openSUSE >= 1550 as they build
    again (due to fixes to qhull package).
* Mon Feb 24 2020 olaf@aepfle.de
  - add conditional for OCaml bindings, they depend on camlidl
  - actually fix the OCaml bindings with plplot-ocaml.patch
  - use autosetup, build verbose
* Tue Feb 04 2020 Dominique Leuenberger <dimstar@opensuse.org>
  - Do not require libcsironn0 from the -devel package on
    suse_version>=1550, where this is no longer built.
* Fri Dec 13 2019 Atri Bhattacharya <badshah400@gmail.com>
  - plplotqt-devel no longer Requires libqt4-devel, instead the
    appropriate Qt5 headers.
* Thu Dec 12 2019 Atri Bhattacharya <badshah400@gmail.com>
  - Disable libcsironn on openSUSE >= 1550 to prevent build
    failures.
  - Fix shapelib dependency: BuildRequires: pkgconfig(shapelib)
    instead of BuildRequires: shapelib; install additional shapelib
    files as part of plplot-common.
* Thu Sep 26 2019 olaf@aepfle.de
  - Add ExclusiveArch, based on build_ada in gcc.spec
* Wed Jun 05 2019 Luigi Baldoni <aloisio@gmx.com>
  - Update to version 5.15.0
    * Bug fixes
    * Update PLplot to be consistent with modern free software
    * Rewrite the configuration of the INSTALL_RPATH target
      property
    * Rewrite the rpath configuration of traditionally built
      examples
    * Factor the PLplot export files
    * Introduce symbolic constants in our color-map routines
    * New implementation of the range checks for the validity of
      cmap0 and cmap1 user input
    * New implementation of the -bg command-line option
    * Implement ctest for the build system of the installed
      examples
* Thu Apr 04 2019 Atri Bhattacharya <badshah400@gmail.com>
  - Disable octave bindings until compilation against octave 5.1.x
    is supported.
* Fri Jan 25 2019 badshah400@gmail.com
  - Update to version 5.14.0:
    * Update control of Python version
    * Rewrite the build-system logic for determining PYQT_SIP_DIR
      and PYQT_SIP_FLAGS
    * Implement plStatic2dGrid
    * Difference report default device changed from psc to svg
    * Resolve the remaining difference report issues
    * Improve command-line parsing
    * Cleanup of plmap
    * wxwidgets development status
    * First step toward using best CMake-3 practices for our build
      system
    * Update PLplot to be consistent with modern free software
    * Rewrite documentation of PLplot testing
    * Configure the ps and psttf device drivers just like all other
      device drivers
    * Bug fixes
  - Drop plplot-fix-pkgconfig-checks.patch: upstreamed.
  - Update shlib package names in keeping with upstream so versions.
  - Enable octave bindings: compilation against 4.4.x has been fixed
    upstream.

Files

/usr/lib64/libplplot.so.17
/usr/lib64/libplplot.so.17.0.0


Generated by rpm2html 1.8.1

Fabrice Bellet, Sun Aug 7 23:42:15 2022